%global _name pydbus

Name:           python-%{_name}
Version:        0.6.0
Release:        13
Summary:        Pythonic DBus library
License:        LGPLv2+
URL:            https://github.com/LEW21/pydbus
Source0:        https://github.com/LEW21/pydbus/archive/v%{version}.tar.gz

Patch1:         0001-make-direction-attribute-conforming-to-introspect.dt.patch
Patch2:         0002-Support-asynchronous-calls-58.patch
Patch3:         0003-Support-transformation-between-D-Bus-errors-and-exce.patch

BuildArch:      noarch

%description
Dbus library for Python.

%package -n python3-%{_name}
Summary:        %{summary} in python3
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-gobject-base
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
Python3 version of %{summary}.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{_name}*info/
%{python3_sitelib}/%{_name}/

%changelog
* Thu Oct 29 2020 panxiaohe<panxiaohe@huawei.com> - 0.6.0-13
- Type:requirement
- ID:NA
- SUG:NA
- DESC:remove subpackage python2-pydbus

* Tue Sep 8 2020 wangchen<wangchen137@huawei.com> - 0.6.0-12
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify the URL of Source0

* Mon Jul 13 2020 Liquor<lirui130@huawei.com> - 0.6.0-11
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:delete useless macros

* Tue Dec 31 2019 hanxinke<hanxinke@huawei.com> - 0.6.0-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update url and source0 field in spec file

* Sat Oct 19 2019 shenyangyang <shenyangyang4@huawei.com> - 0.6.0-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add two patch

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.0-8
- Package init
